Loading...
Searching...
No Matches
Dune::cpgrid::PointViaCellHandleWrapper< Handle > Struct Template Reference

A data handle to send data attached to points via cell communication. More...

`#include <DataHandleWrappers.hpp>`

Inheritance diagram for Dune::cpgrid::PointViaCellHandleWrapper< Handle >:

## Public Types

using | DataType = typename Handle::DataType
using | C2PTable = std::vector< std::array<int,8> >

## Public Member Functions

| PointViaCellHandleWrapper (Handle &handle, const C2PTable &c2pGather, const C2PTable &c2p)
| Constructs the data handle.
bool | fixedSize (int i, int j)
template<class T>
std::enable_if< T::codimension!=0, std::size_t >::type | size (const T &)
std::size_t | size (const EntityRep< 0 > &t)
bool | contains (std::size_t dim, std::size_t codim)
template<class B, class T>
std::enable_if< T::codimension!=0, void >::type | gather (B &, const T &)
template<class B>
void | gather (B &buffer, const EntityRep< 0 > &t)
template<class B, class T>
std::enable_if< T::codimension!=0, void >::type | scatter (B &, const T &, std::size_t)
template<class B>
void | scatter (B &buffer, const EntityRep< 0 > &t, std::size_t s)
Public Member Functions inherited from Dune::cpgrid::PointViaCellWarner
void | warn ()

## Additional Inherited Members

Static Public Attributes inherited from Dune::cpgrid::PointViaCellWarner
static bool | printWarn = true

## Detailed Description

template<class Handle>
struct Dune::cpgrid::PointViaCellHandleWrapper< Handle >

A data handle to send data attached to points via cell communication.

With it we can use the cell communication to also communicate data attached to faces.

Warning
  As we send all points of cell most of the points will be send six times which will temporarily waste some space and bandwidth.

Template Parameters

  Handle | The type of the data handle to wrap. It must gather and scatter only for codim-3 entities.

## Constructor & Destructor Documentation

## PointViaCellHandleWrapper()

template<class Handle>

Dune::cpgrid::PointViaCellHandleWrapper< Handle >::PointViaCellHandleWrapper | ( | Handle & | handle,
|  | const C2PTable & | c2pGather,
|  | const C2PTable & | c2p )

inline

Constructs the data handle.

Parameters

  handle | Handle object wrapped and used for actual gather/scatter
  c2pGather | Table to determine points when gathering
  c2p | Table to determine points when scattering

The documentation for this struct was generated from the following file:

- opm/grid/cpgrid/DataHandleWrappers.hpp